From 58ef0c3165a9a12718af6173d42479c6e8a756de Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Wed, 17 Aug 2022 11:42:51 +0000
Subject: [PATCH v1] Fix a comment in WalSnd structure

WalSnd structure mutex is being used to protect all the variables
of that structure, not just 'variables shown above'. Correct the
comment.
---
 src/include/replication/walsender_private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/include/replication/walsender_private.h b/src/include/replication/walsender_private.h
index c14888e493..9c61f92c44 100644
--- a/src/include/replication/walsender_private.h
+++ b/src/include/replication/walsender_private.h
@@ -65,7 +65,7 @@ typedef struct WalSnd
 	 */
 	int			sync_standby_priority;
 
-	/* Protects shared variables shown above. */
+	/* Protects shared variables in this structure. */
 	slock_t		mutex;
 
 	/*
-- 
2.34.1

